#!/bin/ksh

#############################################################################
##
## iMS monitoring and alarm script
##
## This script is part an example framework of what can be done.
## There are MANY ways that you can take this from here.
##
## File: $RCSfile: report_formats.cfg,v $
##       A script to initialize bigbrother
##
## While this package is provided AS-IS and unsupported, we would appreciate
## your comments, feedback and bug-reports at:
##
##      mailtools-feedback @Sign sun.com
##
#############################################################################

print_bigbrother_report () {

  if test "$BBHOME" = ""
  then
     echo The location of BBHome is not set!!!
     exit 64
     # BBHOME=/opt/brother/client
  fi

  if test ! "$BBTMP"
  then
        . $BBHOME/etc/bbdef.sh
  fi

  $BB $BBDISP "status $MACHINE.$TEST $COLOR $_subject $_full_report"

}

print_nagios_report () {

  : This method incomplete. Contributions on how to do so are welcome.
  echo This method 'print_nagios_report' is incomplete. Contributions on how to do so are welcome.
  

}

print_generic_report () {

 printf ${_full_report} >> $_msgfile
 $IMMONITOR_ACCESS -f $alarmsender -u $queuenotifyaddress -K "$_subject" -m $_msgfile
 rm -f $_msgfile

}

print_std_report () {

 echo "status $MACHINE.$TEST $COLOR $_subject $_full_report"

}

